Ошибка генерации сертификата. Lets Encrypt

Обсуждение установки и настройки поддерживаемых вебсерверов, а также работы с ними.
ukrainer
Сообщения: 13
Зарегистрирован: Сб июн 29, 2019 10:58 pm

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение ukrainer » Сб авг 10, 2019 6:48 pm

ukrainer писал(а):
Сб авг 03, 2019 2:06 pm
Тоже столкнулся с похожей проблемой, но в моем случае вижу сообщение: "Ошибка генерации сертификата. Установлен неизвестный аргумент xxx.aa.bb.cc"
При этом, без проблем сгенерировал сертификати для двоих других доменов, которым присвоены алиасы типа yyy.aa.bb.cc и zzz.aa.bb.cc
Также замечу, что для всех троих алиасов не формировались Lets Encrypt сертификаты отдельно
Подскажите, в чем может быть проблема?
Здравствуйте. Ктото может помочь решить эту проблему?

ukrainer
Сообщения: 13
Зарегистрирован: Сб июн 29, 2019 10:58 pm

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение ukrainer » Сб авг 17, 2019 10:09 pm

единственное решение, которое нашел самостоятельно - удалить с DNS зон технический домен, привязанный к тому, на который не получается получить сертификат. После этого сертификат получить можно. Думаю, стоит над причинамы этой ошибки тоже помедитировать.

DanielFin
Сообщения: 2
Зарегистрирован: Ср сен 11, 2019 11:01 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение DanielFin » Ср сен 11, 2019 11:04 am

Панель определенно не умеет получать сертификаты LE для доменов с алиасами

Аватара пользователя
sbury
Сообщения: 404
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение sbury » Ср сен 11, 2019 12:00 pm

Установите последнее обновление.

покажите вывод

rpm -qa | grep certbot

выводы в логах тапа такого
/usr/local/bin/certbot-auto

быть не должно.certbot-auto более не используется
Последний раз редактировалось sbury Ср сен 11, 2019 12:11 pm, всего редактировалось 1 раз.

Аватара пользователя
Daily
Сообщения: 32
Зарегистрирован: Чт июл 12, 2018 3:50 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение Daily » Ср сен 11, 2019 12:08 pm

Такая же ошибка при генерации Lets Encrypt

Код: Выделить всё

Ошибка генерации сертификата. Домен должен быть привязан!
Traceback (most recent call last):
File "/usr/bin/certbot", line 6, in
from pkg_resources import load_entry_point
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3147, in
@_call_aside
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3131, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3160, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 668, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 681, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 875, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (pyOpenSSL 0.13.1 (/usr/lib64/python2.7/site-packages), Requirement.parse('pyOpenSSL>=0.14'), set(['requests']))


Аватара пользователя
sbury
Сообщения: 404
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение sbury » Ср сен 11, 2019 12:14 pm

покажите вывод

rpm -qa | grep pyOpenSSL

Аватара пользователя
Daily
Сообщения: 32
Зарегистрирован: Чт июл 12, 2018 3:50 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение Daily » Чт сен 12, 2019 2:22 am

Код: Выделить всё

rpm -qa | grep pyOpenSSL
Screenshot (6).png
Screenshot (6).png (6.92 КБ) 129 просмотров

Аватара пользователя
sbury
Сообщения: 404
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение sbury » Чт сен 12, 2019 6:59 am

сделать

/etc/brainy/ssh/check_pkg.sh -u auto

ukrainer
Сообщения: 13
Зарегистрирован: Сб июн 29, 2019 10:58 pm

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение ukrainer » Чт сен 12, 2019 7:17 am

sbury писал(а):
Чт сен 12, 2019 6:59 am
сделать

/etc/brainy/ssh/check_pkg.sh -u auto
у меня процес верификации сообщает о критических ошибках:

Код: Выделить всё

Check package exim... FALSE (found 4.92.2-1.el7.centos, required = 4.92-1.el7.centos) {found new applicant repository: myrepo-centos}
    update process is prohibited for exim!                                                                                                                  
...
                                                                                                                                                            
Total checked packages: 169                                                                                                                                 
===========================                                                                                                                                 
Total PASSED  :  95                                                                                                                                         
Total SKIPPED :  73                                                                                                                                         
Total FAILED  :  1                                                                                                                                          
Total CHANGED : +0                                                                                                                                          
    exim->(critical,_reinstall_from_the_panel!)
-------------------------
Fatal error!                                                                                                                                                        
...   
Check package bind-9.11.1... FALSE (found 9.11.1-7.P3.el7.centos, required = n-) {found new applicant repository: myrepo-centos}
    update process is prohibited for bind-9.11.1!                                                                                                           
Check package exim... FALSE (found 4.92.2-1.el7.centos, required = 4.92-1.el7.centos) {found new applicant repository: myrepo-centos}
    update process is prohibited for exim!                                                                                                                  
...                                                                                                                                                          
Total checked packages: 22                                                                                                                                  
===========================                                                                                                                                 
Total PASSED  :  13                                                                                                                                         
Total SKIPPED :  7                                                                                                                                          
Total FAILED  :  2                                                                                                                                          
Total CHANGED : +0                                                                                                                                          
    bind-9.11.1->(required:_n-)
    exim->(required:_4.92-1.el7.centos)
-------------------------
Fatal error. 2 packet(s) found does not match the stated.                                                                                                                                                            
...                                                                                                                                                                                                                                                        

Аватара пользователя
sbury
Сообщения: 404
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Ошибка генерации сертификата. Lets Encrypt

Сообщение sbury » Чт сен 12, 2019 7:26 am

исправлено.

А что выдает

yum -y install pyOpenSSL

Ответить